Skip to main content
POST
https://api.clay.com/public/v0
/
search
/
filters-mode
Create a search from structured filters
curl --request POST \
  --url https://api.clay.com/public/v0/search/filters-mode \
  --header 'Content-Type: application/json' \
  --header 'clay-api-key: <api-key>' \
  --data '{
  "filters": {}
}'
const options = {
  method: 'POST',
  headers: {'clay-api-key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({filters: {}})
};

fetch('https://api.clay.com/public/v0/search/filters-mode', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
import requests

url = "https://api.clay.com/public/v0/search/filters-mode"

payload = { "filters": {} }
headers = {
    "clay-api-key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
{
  "search_id": "<string>"
}
{
  "message": "<string>"
}
{
  "message": "<string>"
}
{
  "message": "<string>"
}
{
  "message": "<string>"
}
{
  "message": "<string>"
}

Authorizations

clay-api-key
string
header
required

Personal API key tied to your Clay user. Create one under Settings → Account in the Clay app.

Body

application/json

Body

filters
object
required
source_type
enum<string>
required
Available options:
people,
companies

Response

200

search_id
string
required